Subject: Re: bug#24560: 25.1; With `--font 7x13', wrong font is used for Unicode characters

From: Vladimir Panteleev <[email-masked]>
Date: Thu, 29 Sep 2016 16:33:12 +0000

On 2016-09-29 15:30, Eli Zaretskii wrote:
> If you start Emacs with 12x13 font or 8x13, does Emacs display more
> characters than 7x13 before it switches to another font?

On my system, with `--font 8x13', I still see Cyrillic characters
rendered in 12x13.

Curiously, `--font 12x13' doesn't work (Emacs prints "Font ‘12x13’ is
not defined"). The only font matching that metric is
"-misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1", I can
only guess that Emacs doesn't match it because its "adstyl" field is
"ja". With `--font "-*-*-*-*-*-*-13-*-*-*-*-120-*-*"', Emacs starts with
an evidently-fallback proportional font, not sure which one (possibly
Bitstream Vera Serif), however it does use the 12x13 bitmap font with
`--font "-misc-*-*-*-*-*-13-*-*-*-*-120-*-*"'.

Here are some screenshots:

https://dump.v.panteleev.md/a4234287449583e2b5a7152437ac5504/screenshot.png
https://dump.v.panteleev.md/61757322edb41551e1ffa7ccc3941719/screenshot.png
https://dump.v.panteleev.md/3b989295b09073b22dddd823d431bc64/screenshot.png

To answer your question: It is difficult to say since it's clear that
some characters only appear in some fonts, but at the very least,
Cyrillic characters are always rendered at 12x13 with the fonts I tried.